# $Revision: 1.40 $, $Date: 2012/06/18 19:18:41 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"

%define		pdir	Image
%define		pnam	Info
%include	/usr/lib/rpm/macros.perl
Summary:	Image::Info - extract meta information from image files
Summary(pl.UTF-8):	Image::Info - wyodrębnienie meta-informacji z plików graficznych
Name:		perl-Image-Info
Version:	1.31
Release:	3
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	4c5fa82385643e5153aa76090be0bbf4
Patch0:		%{name}-perl5.6-segv.patch
BuildRequires:	perl-IO-Compress
BuildRequires:	perl-IO-String
BuildRequires:	perl-XML-LibXML-SAX
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
Requires:	perl-IO-Compress
Requires:	perl-IO-String
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This Perl extention allows you to extract meta information from
various types of image files. In this release the following file
formats are supported:
 - JPEG (plain JFIF and Exif)
 - PNG
 - GIF
 - PBM/PGM/PPM
 - SVG
 - XBM/XPM
 - BMP/DIB/RLE

%description -l pl.UTF-8
To rozszerzenie perla pozwala na wyciąganie meta-informacji z różnych
typów plików graficznych. W tej wersji obsługiwane są następujące
formaty plików:
 - JPEG (czysty JFIF oraz Exif)
 - PNG
 - GIF
 - PBM/PGM/PPM
 - SVG
 - XBM/XPM
 - BMP/DIB/RLE

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}
%patch0 -p1

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

# Bundles are for CPAN, in rpm we should Suggest or sth
%{__rm} $RPM_BUILD_ROOT%{_mandir}/man3/Bundle::Image::Info::*
%{__rm} -r $RPM_BUILD_ROOT%{perl_vendorlib}/Bundle/Image/Info

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README
%{perl_vendorlib}/Image/Info.pm
%{perl_vendorlib}/Image/Info
%{perl_vendorlib}/Image/TIFF.pm
%{_mandir}/man3/Image::Info*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Image-Info.spec,v $
Revision 1.40  2012/06/18 19:18:41  glen
- do not package Bundle::*

Revision 1.39  2012/01/16 11:22:25  zbyniu
- BR perl-XML-LibXML-SAX; rel 2

Revision 1.38  2012/01/15 21:34:35  zbyniu
- up to 1.31

Revision 1.37  2009/12/01 08:09:20  amateja
- changed R: perl-Compress-Zlib to its successor perl-IO-Compress
- release 2

Revision 1.36  2009/11/26 13:18:31  amateja
- updated to 1.30

Revision 1.35  2009/11/12 19:00:01  amateja
- replaced BR: perl-Compress-Zlib with perl-IO-Compress

Revision 1.34  2009/08/26 07:12:36  amateja
- updated to 1.29

Revision 1.33  2008/07/27 22:37:43  arekm
- release 4

Revision 1.32  2007-02-13 07:47:12  glen
- tabs in preamble

Revision 1.31  2007/02/12 00:49:37  baggins
- converted to UTF-8

Revision 1.30  2006/08/08 14:38:10  sparky
- mass attack: s/%patch /%patch0 / -- usefull for overloaded %patch macro

Revision 1.29  2004/11/03 22:30:27  paladine
- formatting

Revision 1.28  2004/05/07 00:35:13  ankry
- rel. 3

Revision 1.27  2004/05/06 18:43:13  ankry
- fixed perl-devel BR

Revision 1.26  2004/04/25 11:54:58  radek
- BR,R: perl-Compress-Zlib
STBR

Revision 1.25  2004/04/25 11:50:26  radek
- BR,R: perl-IO-String

Revision 1.24  2004/04/24 16:15:42  ankry
- unifications
- rel. 2 for Ac

Revision 1.23  2004/04/24 16:01:18  radek
- provided informative summary

Revision 1.22  2004/04/22 12:52:34  ankry
- license fixes & unification

Revision 1.21  2004/04/20 23:30:13  ankry
- ported to new bconds

Revision 1.20  2004/03/06 19:27:18  adamg
- updated to 1.16

Revision 1.19  2004/02/18 15:51:29  qboosh
- s/no/nb/ in Summary langs

Revision 1.18  2003/10/07 12:15:05  migo
- up to 1.15
- BR: perl-5.8
- exif tests fails

Revision 1.17  2003/09/09 10:24:39  ankry
- spaces -> tab

Revision 1.16  2003/08/18 08:08:52  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.15  2003/05/28 13:00:43  malekith
- massive attack: source-md5

Revision 1.14  2003/05/25 06:24:41  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.13  2003/04/11 18:59:24  radek
- BR: perl-devel; do not BR: perl

Revision 1.12  2003/03/01 19:37:17  radek
- should be ready for perl-5.8.0; release++

Revision 1.11  2003/02/25 00:39:28  radek
- use the __perl macro

Revision 1.10  2003/02/18 15:34:17  ankry
- massive attack: change CPAN URLs

Revision 1.9  2003/02/14 21:13:23  qboosh
- added patch to revert some perl 5.8 things (caused SEGV of perl 5.6)

Revision 1.8  2003/02/05 16:18:52  ankry
- autoupdated to 1.12

Revision 1.7  2002/09/26 17:24:07  ankry
- added tests on bcond
- translations
- version 1.11

Revision 1.6  2002/07/20 10:20:40  qboosh
- BR: perl-IO-String

Revision 1.5  2002/07/11 13:00:58  qboosh
- new %%doc, cosmetics

Revision 1.4  2002/07/11 08:00:11  depesz
- new version; should work; STBR

Revision 1.3  2002/07/10 08:47:48  depesz
- applied changes using automat supplied by Radoslaw Zielinski

Revision 1.2  2002/05/23 13:14:22  jajcus
- adapterized

Revision 1.1  2002/05/23 13:10:37  jajcus
- new specs; needed for bins package
